GetCommunicationAPI reads a record by its opaque, source-qualified handle.
curl --request GET \
--url https://api.erdo.ai/v1/communications/{handle} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erdo.ai/v1/communications/{handle}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erdo.ai/v1/communications/{handle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erdo.ai/v1/communications/{handle}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.erdo.ai/v1/communications/{handle}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.erdo.ai/v1/communications/{handle}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erdo.ai/v1/communications/{handle}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"call": {
"actor": "<string>",
"agent": "<string>",
"booked_at": "2023-11-07T05:31:56Z",
"booked_start": "2023-11-07T05:31:56Z",
"counterpart_spoken_turn_count": 123,
"dial_outcome": "<string>",
"duration_seconds": -1,
"has_transcript": true,
"status": "<string>",
"summary": "<string>"
},
"channel": "<string>",
"content_complete": true,
"continuation": "<string>",
"conversation": "<string>",
"direction": "<string>",
"email": {
"auto_submitted": true,
"bounce_classification": "<string>",
"cc": [
"<string>"
],
"context": "<unknown>",
"delivered_at": "2023-11-07T05:31:56Z",
"in_reply_to": "<string>",
"inbound_id": "<string>",
"message_id": "<string>",
"reason": "<string>",
"references": [
"<string>"
],
"relayed_email_id": "<string>",
"status": "<string>",
"subject": "<string>"
},
"ended_at": "2023-11-07T05:31:56Z",
"from": "<string>",
"id": "<string>",
"kind": "<string>",
"messages": [
{
"at": "2023-11-07T05:31:56Z",
"html": "<string>",
"role": "<string>",
"text": "<string>"
}
],
"messaging": {
"attachment_file_ids": [
"<string>"
],
"compliance": true,
"context": "<unknown>",
"delivered_at": "2023-11-07T05:31:56Z",
"failure_class": "<string>",
"location": "<unknown>",
"media": "<unknown>",
"media_count": -1,
"read_at": "2023-11-07T05:31:56Z",
"referral": "<unknown>",
"status": "<string>",
"suppressed": true
},
"occurred_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"to": [
"<string>"
],
"widget": {
"booked_at": "2023-11-07T05:31:56Z",
"booked_start": "2023-11-07T05:31:56Z",
"has_transcript": true,
"modality": "<string>",
"summary": "<string>",
"visitor_identity": "<unknown>",
"widget": "<string>"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
GetCommunicationAPI reads a record by its opaque, source-qualified handle.
A cursor continues content omitted from the preceding response.
GET
/
v1
/
communications
/
{handle}
GetCommunicationAPI reads a record by its opaque, source-qualified handle.
curl --request GET \
--url https://api.erdo.ai/v1/communications/{handle} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erdo.ai/v1/communications/{handle}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erdo.ai/v1/communications/{handle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erdo.ai/v1/communications/{handle}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.erdo.ai/v1/communications/{handle}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.erdo.ai/v1/communications/{handle}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erdo.ai/v1/communications/{handle}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"call": {
"actor": "<string>",
"agent": "<string>",
"booked_at": "2023-11-07T05:31:56Z",
"booked_start": "2023-11-07T05:31:56Z",
"counterpart_spoken_turn_count": 123,
"dial_outcome": "<string>",
"duration_seconds": -1,
"has_transcript": true,
"status": "<string>",
"summary": "<string>"
},
"channel": "<string>",
"content_complete": true,
"continuation": "<string>",
"conversation": "<string>",
"direction": "<string>",
"email": {
"auto_submitted": true,
"bounce_classification": "<string>",
"cc": [
"<string>"
],
"context": "<unknown>",
"delivered_at": "2023-11-07T05:31:56Z",
"in_reply_to": "<string>",
"inbound_id": "<string>",
"message_id": "<string>",
"reason": "<string>",
"references": [
"<string>"
],
"relayed_email_id": "<string>",
"status": "<string>",
"subject": "<string>"
},
"ended_at": "2023-11-07T05:31:56Z",
"from": "<string>",
"id": "<string>",
"kind": "<string>",
"messages": [
{
"at": "2023-11-07T05:31:56Z",
"html": "<string>",
"role": "<string>",
"text": "<string>"
}
],
"messaging": {
"attachment_file_ids": [
"<string>"
],
"compliance": true,
"context": "<unknown>",
"delivered_at": "2023-11-07T05:31:56Z",
"failure_class": "<string>",
"location": "<unknown>",
"media": "<unknown>",
"media_count": -1,
"read_at": "2023-11-07T05:31:56Z",
"referral": "<unknown>",
"status": "<string>",
"suppressed": true
},
"occurred_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"to": [
"<string>"
],
"widget": {
"booked_at": "2023-11-07T05:31:56Z",
"booked_start": "2023-11-07T05:31:56Z",
"has_transcript": true,
"modality": "<string>",
"summary": "<string>",
"visitor_identity": "<unknown>",
"widget": "<string>"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}Authorizations
Response
Success response

